Processed Campaign Customers

Returns an array of all customer IDs, promotion codes and requested customer attributes (optional) for a particular campaign occurrence ID. * Note: In case a requested customer attribute is not found, we do not fail the response, and we skip the invalid attribute.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rate Limit

This endpoint is subject to the general API rate limit of 50 requests per 10 seconds. Learn more about handling rate limits.

Sample Request

GET /current/customers/GetProcessedCampaignCustomers
? CampaignID = 6577
& CustomerAttributes = Name,Email
& CustomerAttributesDelimiter = ,

 

Sample Response

[
  {
    "CustomerID": "tester1",
    "PromoCode": "promotion1",
    "ActionId": 123,
    "ChannelIds": [
      22,
      15
    ],
    "Attributes": {
      "Name": "John Doe",
      "Email": "[email protected]"
    }
  },
  {
    "CustomerID": "tester2",
    "PromoCode": "promotion1",
    "ActionId": 123,
    "ChannelIds": [
      22,
      15
    ],
    "Attributes": {
      "Name": "Jane Doe",
      "Email": "[email protected]"
    }
  }
]
Query Params
int32
required
string
string
Defaults to ;
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json